Subject: You have little joy in life? Lacks warmth and affection? Come to me.

From: [email-masked]
Date: Thu, 4 Feb 2010 10:18:19 -0800

I sexual Russian blonde, want to see, come closer. Please Visit